import React from 'react';
export declare const DataSourceContext_deprecated: React.Context<any>;
export declare const ds: {
    useSelectedRowKeys: () => any[];
    useDataSource_deprecated: (options: any) => import("../api-client").UseRequestResult<unknown>;
    useCreateAction: () => {
        run(): Promise<void>;
    };
    useBulkDestroyAction: () => {
        run(): Promise<void>;
    };
    useUpdateAction: () => {
        run(): Promise<void>;
    };
    useDestroyAction: () => {
        run(): Promise<void>;
    };
};
export declare const SubFieldDataSourceProvider_deprecated: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<unknown>>;
export declare const DataSourceProvider_deprecated: React.MemoExoticComponent<import("@tachybase/schema").ReactFC<Omit<any, "ref">>>;
